<%= javascript_include_tag "decidim/slug_form" %>

<div class="card">
  <div class="card-divider">
    <h2 class="card-title"><%= t "questions.form.title", scope: "decidim.admin" %></h2>
  </div>

  <div class="card-section">
    <div class="row column">
      <%= form.translated :editor, :title, toolbar: :image, lines: 5, autofocus: true %>
    </div>

    <div class="row column">
      <%= form.translated :text_field, :subtitle %>
    </div>

    <div class="row column">
      <%= form.translated :text_field, :promoter_group %>
    </div>

    <div class="row column">
      <%= form.translated :text_field, :participatory_scope %>
    </div>

    <div class="row column">
     <%= form.translated :editor, :question_context, toolbar: :image, lines: 25 %>
    </div>

    <div class="row column">
      <%= form.translated :editor, :what_is_decided, toolbar: :image, lines: 25 %>
    </div>

    <div class="row column">
      <%= scopes_picker_field form, :decidim_scope_id, root: nil %>
    </div>

    <div class="row column">
      <%= form.translated :text_field, :origin_scope %>
    </div>

    <div class="row column">
      <%= form.translated :text_field, :origin_title %>
    </div>

    <div class="row column">
      <%= form.url_field :origin_url %>
    </div>

    <div class="row column">
      <%= form.number_field :order, step: 1, min: 0 %>
    </div>

    <div class="row column">
      <%= form.text_field :slug %>
      <p class="help-text">
        <%== t "consultations.form.slug_help",
             scope: "decidim.admin",
             url: decidim_form_slug_url(:questions, form.object.slug || question_example_slug) %>
      </p>
    </div>

    <div class="row column">
      <%= form.check_box :external_voting %>
    </div>

    <div class="row column">
      <%= form.url_field :i_frame_url %>
    </div>

    <div class="row">
      <div class="columns xlarge-4">
        <%= form.text_field :hashtag %>
      </div>

      <div class="columns xlarge-4">
        <%= form.upload :hero_image %>
      </div>

      <div class="columns xlarge-4">
        <%= form.upload :banner_image %>
      </div>
    </div>
  </div>
</div>
